Kerbal Space Program - Bug #3846

Cannot Upgrade Buildings - all appear as Level 3
12/16/2014 07:25 AM - jaredjeya

Status: Moot Start date: 12/16/2014
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win64 Mod Related: No
Expansion:

Description

With a clean install of 0.90 in 64 bit (including Verify Integrity of Game Cache), | tried to start a new game. All of my buildings were
already Level 3 in the Ul, and could not be upgraded. However, for the game's purposes everything is still Level 1, and so all of the
restrictions apply. Even destroying the buildings using Whack-A-Kerbal did nothing: the buildings were regenerated after | clicked
recover.

This has made playing Career mode in 0.90 impossible in 64 bit. Since 64 bit has tripled my FPS allowing me to play on settings
other than very low and barely ever crashes, this is a big problem. Strangely, in the same save file they are Level 1 in 32 bit but Level
3 in 64 bit, even after going back and forth between the same file.

| have:

°

Windows 7 64 bit

64 bit executable (it triples my FPS and never crashes)
Intel i5 2nd Generation

Discrete: AMD 7400M series

Integrated: Intel HD 3000

HP Pavilion g4 laptop

History

#1 - 12/16/2014 07:42 AM - agises

| can confirm this behaviour in win64, also seems the IvIO builds are under the IvI3 ones, so both exist at the same time.

#2 - 12/16/2014 08:19 AM - Squelch

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Win64 has known issues that are being worked on, and there is a warning to that effect.
This is is confirmed.

#3 - 12/16/2014 10:42 AM - jaredjeya
- File output_log.txt added

Here is my output_log.txt

#4 - 03/01/2015 11:58 AM - marco262

- File persistent.sfs added

Encountered this bug yesterday. Found a workaround by comparing the save file of the problem save with a brand new save.

It looks like the issue is related to too many entries being added to the ScenarioDestructibles section in the save file. By deleting all the destructible

buildings in the problem file that were NOT in the brand new save file, | was able to get the buildings reverted back to their proper tech. There may
still be issues, as | don't know if | deleted entries for buildings that were supposed to be there.
Unfortunately, | didn't save a copy of my persistent.sfs file before editing it. However, | have attached the updated persistent.sfs file immediately after
removing the offending building entries from the ScenarioDestructibles section.

Edit: Quick note that the issue | was having does not match exactly what's in this ticket. The buildings appeared suddenly as Level 3 during
playthrough, though they still had a capabilities of lower level buildings. | am able to start a new game with buildings set to the lowest tech as
appropriate.

#5 - 07/27/2015 02:53 PM - Squelch
- Status changed from Confirmed to Moot

- % Done changed from 10 to 100

Files
output_log.ixt 308 KB 12/16/2014 jaredjeya
persistent.sfs 187 KB 03/01/2015 marco262
